Package Details: cqrlog 2.0.1-1

Git Clone URL: https://aur.archlinux.org/cqrlog.git (read-only)
Package Base: cqrlog
Description: An advanced ham radio logger based on MySQL database ( MariaDB replaces MySQL in repositories ). (Binary Version)
Upstream URL: http://www.cqrlog.com
Licenses: GPL
Submitter: jecxjo
Maintainer: CarstenF
Last Packager: CarstenF
Votes: 14
Popularity: 0.198784
First Submitted: 2011-10-21 21:03
Last Updated: 2016-06-12 14:56

Latest Comments

arthurulfeldt commented on 2016-05-24 20:24

This AUR seems abandoned: I have a working fork here: https://github.com/thearthur/cqrlog-aur

It includes toddejohnson's changes for cqrlog 2.0 and works with the modern mariadb packages

arthurulfeldt commented on 2016-05-10 00:44

I build and am using the 2.0 patch toddejohnson posted and everything is working correctly.

toddejohnson commented on 2016-05-06 02:26

Diff for 2.0 at https://gist.github.com/toddejohnson/420fc204f3175212672711de02e9f04e

I haven't done a bunch of testing but it builds, launches, and closes.

arthurulfeldt commented on 2016-05-06 01:48

still broken five months later with maria DB, is it working with other DB choices?
cqrlog 2.0 was just released and *should* include the commit from the previous comment. Has anyone installed it manually? any change of doing the work to update this AUR package?

toddejohnson commented on 2016-02-25 03:58

Diff for 1.9.1 posted at https://gist.github.com/toddejohnson/e7efed7ddd22a5c39003

I'm working on mariadb however that won't work till 1.9.2 is released as this is based on binary package. I guess we could use nightly from:

https://www.cqrlog.com/node/1534

Sad as in the src this one change appears resolved mariadb problem:
https://github.com/ok2cqr/cqrlog/commit/a31d8538cb118c5c81143e8804353c26d3b4e229

maze commented on 2016-02-14 08:29

Hamlib has been upgraded to 3.x, please test.

Truthfulmage commented on 2015-12-21 20:49

Doesn't work anymore since mariadb's last update.

Dieter9 commented on 2015-12-02 17:39

After the update of mariadb from 10.0.22-1 to 10.1.9-2 CQRLOG does not works any more.
"Error during connection to database: TMySQL56Connection can not work with the installed MySQL client version: Expected (5.6), got (10.1.9-MariaDB)."

vic.pozd commented on 2015-03-25 21:33

Bump to v1.9.0

vic.pozd commented on 2015-01-07 22:35

Bump to v1.8.3

vic.pozd commented on 2014-12-28 17:49

Good news. In version 1.8.3 promise support MariaDB. Let's wait.

vic.pozd commented on 2014-09-29 19:28

Sri, but cqrlog v1.8.1 don't work with MariaDB. I get error:
"Error during connection to database: TMySQL55Connection can not work with the installed MySQL client version: Expected (5.5), got (10.0.13-MariaDB)."
PKGBUILD for v1.8.1: http://pastebin.com/3XZ9SUU0
MySQL do not want to install.

vic.pozd commented on 2014-04-27 19:03

Bump to v1.7.4

vic.pozd commented on 2014-02-05 17:59

Bump to v1.7.3

vic.pozd commented on 2014-02-01 13:45

Bump to v1.7.1

vic.pozd commented on 2014-01-22 17:07

Bump to v1.7.0
sri for qrx.

sten_gun commented on 2014-01-22 00:27

version 1.7.0 available.

vic.pozd commented on 2013-11-14 19:59

Bump to v1.6.1

vic.pozd commented on 2013-09-11 17:12

Bump to v1.6.0

vic.pozd commented on 2013-07-01 20:22

Bump to v1.5.8

vic.pozd commented on 2013-07-01 19:34

Bump to v1.5.7

vic.pozd commented on 2013-06-14 16:57

Sorry for long time correct.
@chuser - TNX.

chuser commented on 2013-06-12 18:46

No guarantees that this won't break everything in sight, and I'm sure that someone who knows what they're doing would have a far cleverer solution, but I fixed it in the PKGBUILD by patching the Makefile so that it finds "lazarusdir", i.e. it becomes:

build() {
cd "$srcdir/$pkgname"
sed -i 's/--ws=gtk2 src/--lazarusdir=\/usr\/lib\/lazarus --ws=gtk2 src/g' Makefile
make
}

zryder commented on 2013-06-09 17:54

Newly installed Arch build, trying to install CQRlog, and it errors out.
Starting build()...
lazbuild --ws=gtk2 src/cqrlog.lpi
primary config path: /home/mike/.lazarus
Error: invalid Lazarus directory "": directory lcl not found
Failed building src/cqrlog.lpi
make: *** [cqrlog] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build cqrlog.

Not sure if anything needs to get fixed on the PKGBUILD

zryder commented on 2013-06-09 17:53

Newly installed Arch build, trying to install CQRlog, and it errors out.
Starting build()...
lazbuild --ws=gtk2 src/cqrlog.lpi
primary config path: /home/mike/.lazarus
Error: invalid Lazarus directory "": directory lcl not found
Failed building src/cqrlog.lpi
make: *** [cqrlog] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build cqrlog.

Not sure if anything needs to get fixed on the PKGBUILD

vic.pozd commented on 2013-05-23 17:16

Bump to v1.5.6

vic.pozd commented on 2013-05-02 15:38

Bump to v1.5.5
MariaDB replaces MySQL in repositories. See https://www.archlinux.org/news/mariadb-replaces-mysql-in-repositories/
I replace depends from mysql to mariadb, but left the ability to install with mysql (see PKGBUILD).

vic.pozd commented on 2013-05-02 15:38

MariaDB replaces MySQL in repositories. See https://www.archlinux.org/news/mariadb-replaces-mysql-in-repositories/
I replace depends from mysql to mariadb, but left the ability to install with mysql (see PKGBUILD).

vic.pozd commented on 2013-03-12 14:43

Bump to v1.5.4 + added x86_64 architecture

vic.pozd commented on 2012-10-09 19:35

Upgraded PKGBUILD without cwdaemon depends.

vic.pozd commented on 2012-10-09 19:25

Bump to v1.5.2
Corrected PKGBUILD.

vic.pozd commented on 2012-10-09 19:11

Bump to v1.5.2
Corrected PKGBUILD.

vic.pozd commented on 2012-08-18 21:25

Bump to v1.5.1

vic.pozd commented on 2012-08-18 21:21

Bump to v1.5.1

jecxjo commented on 2012-08-18 20:51

I no longer have a i686 system to build this package. @vic.pozd you should take this package over as you have been keeping up with it better than i have.

vic.pozd commented on 2012-08-13 19:10

Update the file PKGBUILD for Version 1.5.1.
pastebin.com/SDpgeuA2

vic.pozd commented on 2012-05-12 19:39

New version released 1.4.1
PKGBUILD for version 1.4.1
pastebin.com/SDpgeuA2
install with --force key

vic.pozd commented on 2012-02-25 17:04

New version released 1.3.1
PKGBUILD for version 1.3.1
pastebin.com/SDpgeuA2

jecxjo commented on 2012-01-22 18:33

@vic.pozd Thanks I hadn't been on my radio in a while so I forgot to check for new versions.

vic.pozd commented on 2012-01-22 16:56

PKGBUILD for version 1.3.0
pastebin.com/SDpgeuA2

vic.pozd commented on 2012-01-13 14:30

When you add the new version (1.2.2) ?